<?php
/*
Plugin Name: Emeralds Tip of the day
Plugin URI: 
Description: A widget that displays a random generated tip in Norwegian
Version: 1.0
Author: Emerald Raptor
Author URI: http://emeraldraptor.com/
License: GPL2
*/

add_action("plugins_loaded", "initEmeraldTips");

function initEmeraldTips(){
  register_sidebar_widget(__('Dagens tips'), 'displayEmeraldTips');
}

function displayEmeraldTips(){
  $emeraldTips = new EmeraldTips();
  $emeraldTips->display();
}

class EmeraldTips{
  var $tipsForm = array();
  var $verb = array();
  var $adjektiv = array();
  var $objekt = array();
  var $sted = array();
  
  function EmeraldTips(){
    $this->populate();
  }
  
  function display(){
    $output .= "<h3 class='widget-title'>Dagens tips</h2>";
    $output .= "<p>";
    $output .= " ".$this->tipsForm[array_rand($this->tipsForm)];
    $output .= " ".$this->verb[array_rand($this->verb)];
    $output .= " ".$this->adjektiv[array_rand($this->adjektiv)];
    $output .= " ".$this->objekt[array_rand($this->objekt)];
    $output .= " ".$this->sted[array_rand($this->sted)];
    $output .= "</p>";
    
    print $output; 
  }
  
  function populate(){
    $this->tipsForm = array("Dagens tips er å", "Du må ikke finne på å", "Husk å", "Det er dumt å", "Du må aldri", 
    "I dag burde du", "Det kan lønne seg å", "I dag hadde det vært en fordel å", "I dag må du passe deg for å", 
    "Ikke la deg friste til å", "Lær deg å tolerere folk som liker å", "Pass deg for å", "I dag burde du", "I dag er dagen for å");
    $this->verb = array("spise", "blogge om", "lukte på", "gråte over", "huske på", "tappe ned", 
    "miste", "finne igjen", "se direkte på", "hente", "gjemme", "spionere på", "spise opp", "trampe ned", "klippe", "filme", "male", "hjelpe", "høre på", "sparke til", "overse", "lage", 
    "være snill mot", "knuse", "reflektere over", "skremme", "klare deg uten", "undersøke", "søke etter", "ødelegge", "fikse", "skaffe deg", "holde deg unna", "lure", "betale", 
    "se på", "unngå", "dra på ferie med", "kommentere en artikkel om", "ta bilder av", "snakke med", "kommentere", "ignorere", "oppmuntre", "herme etter", "strekke deg etter", "sammenlikne deg med", "besøke",
    "tukle med", "rydde bort", "tenke på", "undervurdere", "kjefte på", "linke til");
    $this->adjektiv = array("gamle", "onde", "snille", "opplagte", "sinte", "blide", "grønne", "bråkete", "glemte", 
    "musestille", "rampete", "mystiske", "spennende", "deprimerte", "klaustrofobiske", "svarte", "irrelevante",
     "unødvendige", "interessante", "uvanlige", "nymotens", "forgiftede", "hårete", "elegante", "rare", "lysende",
      "glitrende", "tykke", "tynne", "gjennomsiktige", "uendelige", "optimistiske", "ufortjente", "snørrete",
       "beryktede", "forutsigbare", "klassiske", "uvirkelige", "optiske", "jublende", "bråkete", "pessimistiske",
        "runde", "klagende", "oppriktige", "skrullete", "tullete", "fornøyde", "bløte", "bærbare", "ulogiske", "uheldige",
         "uforståelige", "praktiske", "oppladbare", "usammenhengende", "hemmelige", "overflødige", "øredøvende", "geniale", "ødeleggende", "normale", "uønskede", "miljøvennlige",
         "gratis", "sjenerte", "ufullstendige", "komplette", "sultne", "utrivelige", "masete");
    $this->objekt = array("oster", "kunstverk", "datamaskiner", "monstre", "hester", "skapdører", "gitarer", "planeter",
     "søppelbøtter", "personer", "bestemødre", "blogger", "illusjoner", "folk", "facebookprofiler", "lesebrett", "dataspill", "romvesner", "guder", "nerder", "edderkopper", "monstre", "drager", "tørketromler", "snorkler", "maur", "lampeskjermer", "bøker", "tastaturer",
      "bilder", "mobiltelefoner", "kaniner", "sykdommer", "godterier", "tullinger", "sko", "datamaskiner", "sjefer", "naboer", "regninger", "matretter", "nisser", "blomster", "doruller", "papirer",
       "hybelkaniner", "barn", "sokker", "filmer", "rotter", "kameraer", "mødre", "tanker", "drømmer", "oppgaver", "undersøkelser", "konkurranser",
       "dokumenter",
       "klær", "blyanter", "slektninger", "avisartikler", "fotografer", "humørsvingninger", "kontrakter", "penger", "mobilapplikasjoner",
       "fremmede", "krangler", "helter", "idoler", "konkurrenter", "erkefiender", "venner", "kjentfolk", "kjendisbloggere",
       "muligheter", "idéer", "matretter");
    $this->sted = array("på månen",
     "på nettet", "i vedkurven", "under terrassen", "ved siden av deg", "på badet", "i senga", "i søpla",
      "uten en tråd", "på film",
       "utendørs", "innendørs", "på ferie", "i en imaginær verden", "i drømmeland", "på jobben", "hos foreldrene dine", "i barnehagen", "på tv", "på IRC", "på facebook", "via twitter", "i hagen", "på kjøkkenet",
        "i stua", "uten å blunke", "i badekaret", "på laptopen din", "uten vilje", "med gode intensjoner",
         "fullhjertet", "uten å lyve", "uten armer", "i søvne", "med tenna", "med nesa rett vei", "uten å stille spørsmål", "for å bevare ryktet ditt",
         "uten å tenke over konsekvensene", "som er glad i oppmerksomhet");    
  }
}

?>
